Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Link a third-party link to a product

Creates an association between a third-party link and a product

PUT/api/v1/{team_slug}/{app_slug}/third-party-links/{third_party_link_id}/relationships/{item_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

third_party_link_idstringrequired

Third-party link ID

item_idstringrequired

Product ID

Responses
200

Relationship created successfully

datastringrequired
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
404

Product not found

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X PUT 'https://api.enad.io/api/v1/string/string/third-party-links/string/relationships/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}